Hello community,

here is the log from the commit of package parboiled for openSUSE:Factory 
checked in at 2019-12-03 12:40:54
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/parboiled (Old)
 and      /work/SRC/openSUSE:Factory/.parboiled.new.4691 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "parboiled"

Tue Dec  3 12:40:54 2019 rev:4 rq:752802 version:1.1.6

Changes:
--------
--- /work/SRC/openSUSE:Factory/parboiled/parboiled.changes      2019-11-28 
13:50:31.170702843 +0100
+++ /work/SRC/openSUSE:Factory/.parboiled.new.4691/parboiled.changes    
2019-12-03 12:41:52.698141141 +0100
@@ -1,0 +2,5 @@
+Mon Dec  2 07:30:47 UTC 2019 - Fridrich Strba <fst...@suse.com>
+
+- Require scala >= 2.10.7 for build: allows buiding with jdk9+
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ parboiled.spec ++++++
--- /var/tmp/diff_new_pack.AoY4A4/_old  2019-12-03 12:41:54.114140748 +0100
+++ /var/tmp/diff_new_pack.AoY4A4/_new  2019-12-03 12:41:54.118140748 +0100
@@ -49,9 +49,8 @@
 BuildRequires:  fdupes
 BuildRequires:  javapackages-local
 %if %{with scala}
-BuildRequires:  ant-scala
+BuildRequires:  ant-scala >= 2.10.7
 BuildRequires:  parboiled
-BuildConflicts: java-devel >= 9
 Requires:       mvn(org.parboiled:parboiled-core) = %{version}
 Requires:       mvn(org.scala-lang:scala-library)
 %else


Reply via email to